LDBMCAT(8C)

NAME
ldbmcat - LDBM to LDIF database format conversion utility

SYNOPSIS
ETCDIR/ldbmcat [-n] id2entry-file

DESCRIPTION

This program is used to convert a slapd(8) LDBM database to the text LDAP Directory Interchange Format (LDIF). It opens the given id2entry-file and writes the corresponding LDIF output to standard output.

See "The SLAPD and SLURPD Administrator's Guide" for more details on using this program.

OPTIONS

-n  This option specifies that ldbmcat should not print entry IDs when it dumps out the database. Note that the printing of entry IDs is essential if you are going to use the LDIF format produced as input to ldif2index, for example, to create a new index file for use with an existing database.

EXAMPLES
To make a text backup of your LDBM database and put it in a file called ldif, give the command:

	ETCDIR/ldbmcat -n id2entry.dbb > ldif

To create a new index for the mail attribute, give these commands:

	ETCDIR/ldbmcat id2entry.dbb > ldif
	ETCDIR/ldif2index -i ldif -f slapd-config-file mail

Note that your slapd (8) should not be running (at least, not in read-write mode) when you do this to ensure consistency of the database.

SEE ALSO
ldap(3), ldif(5), ldif2ldbm(8), slapd(8)

"The SLAPD and SLURPD Administrator's Guide"